"{ Encoding: utf8 }"

"
 COPYRIGHT (c) 2017 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

DomainError subclass:#InfiniteResultError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!InfiniteResultError class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2017 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Raised by logarithm functions,
    when the function's-arg is not strictly positive,
    and the result would be infinite,
    or by the asFloat functions, when the receiver is out of range. 

    For example,
        0 ln
    or,
        3.5e39 asShortFloat

    Can be caught (see Number >> trapInfinite:) to automagically convert to INF.
    Can also be proceeded, to get an INF.
"
! !

!InfiniteResultError class methodsFor:'initialize'!

initialize
    NotifierString := 'infinite result'.

    "Modified: / 03-07-2017 / 15:42:00 / cg"
! !

!InfiniteResultError class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !


InfiniteResultError initialize!
